# Makefile para processar as entregas de exerccio de POV-Ray
# Last edited on 2007-04-18 13:01:05 by stolfi

## Large landscape

WIDTH := 128
HEIGHT := 128

ICONWIDTHq := 52
ICONHEIGHT := 52

NRAYS = 1

# No need to change below here

NAME = xadrez

POVFILE := ${NAME}.pov
PNGFILE := ${NAME}-${NRAYS}x${NRAYS}.png

POVPUB := /home/staff/stolfi/programs/c/povray-3.50c-1/PUB
POVRAY := ${POVPUB}/i686-Linux-2.2/bin/povray
POVINC := ${POVPUB}/share/povray-3.5/include
POVTTF := /home/staff/stolfi/PUB/povray/tt-fonts
TOOLDIR := /home/staff/stolfi/public_html/courses/MC930-2007-1-AB/progs/tools

# These are defined with "=" rather than ":=" in order to defer expansion
DIRTAIL = ${shell pwd | sed -e 's:^.*/::'}
IMVIEW = display -title "${DIRTAIL}/%f"

.PHONY: all cleanup  image showimage all-images index

all: image showimage

image: ${PNGFILE} 

showimage: ${PNGFILE}
	-${IMVIEW} ${PNGFILE}

${PNGFILE}: ${POVFILE} ${OTHERINPUTS}
	-/bin/rm -f ${PNGFILE}
	nice ${POVRAY} \
            +FN +Q9 \
            +W${WIDTH} +H${HEIGHT} \
            +AM1 +A0.0 +R${NRAYS} \
            +D +SP32 +EP4 \
            +L${POVINC} \
            +L${POVTTF} \
	    +I${POVFILE} \
	    +O${PNGFILE}
        
%-i.png: %.png
	convert $*.png \
            -geometry "x${ICONHEIGHT}" \
            +profile '*' \
            -colors 254 -dither \
          $*-i.png
