# Makefile para processar as entregas de exerccio de POV-Ray
# Last edited on 2007-04-15 15:20:37 by stolfi

## Large landscape

WIDTH := 260
HEIGHT := 260

ICONWIDTH := 52
ICONHEIGHT := 52

NRAYS = 3

# No need to change below here

NAME = smile

POVPUB := /home/staff/stolfi/programs/c/povray-3.50c-1/PUB
POVRAY := ${POVPUB}/i686-Linux-2.2/bin/povray
POVINC := ${POVPUB}/share/povray-3.5/include
POVTTF := /home/staff/stolfi/PUB/povray/tt-fonts
TOOLDIR := /home/staff/stolfi/public_html/courses/MC930-2007-1-AB/progs/tools

# These are defined with "=" rather than ":=" in order to defer expansion
DIRTAIL = ${shell pwd | sed -e 's:^.*/::'}
IMVIEW = display -title "${DIRTAIL}/%f"

.PHONY: all cleanup  image showimage all-images index

all: image showimage

image: ${NAME}.png 

showimage: ${NAME}.png
	-${IMVIEW} ${NAME}.png

${NAME}.png: ${NAME}.pov ${OTHERINPUTS}
	-/bin/rm -f ${NAME}.png
	nice ${POVRAY} \
            +FN +Q9 \
            +W${WIDTH} +H${HEIGHT} \
            +AM1 +A0.0 +R${NRAYS} \
            +D +SP32 +EP4 \
            +L${POVINC} \
            +L${POVTTF} \
	    +I${NAME}.pov \
	    +O${NAME}.png
        
%-i.png: %.png
	convert $*.png \
            -geometry "x${ICONHEIGHT}" \
            +profile '*' \
            -colors 254 -dither \
          $*-i.png
