// Last edited on 2007-04-15 15:38:10 by stolfi

background { color rgb < 1, 1, 1 > }

#declare rd =  6.00;   // Outer icon radius.
#declare wd =  0.50;   // Ring width.
#declare sr =  3.75;   // Outer smile radius.
#declare sw =  0.60;   // Max smile thickness.
#declare er =  1.00;   // Eye radius.

#declare th =  0.01;   // Thickness of icon.
#declare ep =  0.0001; // Fudge factor to avoid coincident surfaces.

#declare edir = vnormalize(<1, 1, 0>);

#declare tx_black =
  texture {
    pigment { color rgb < 0, 0, 0 > } 
    finish { diffuse 0.0 ambient 1.0 }
  }

#declare ring =
  difference {
    cylinder { < 0, 0, 0 >, < 0, 0, th >, rd }
    cylinder { < 0, 0, 0-ep >, < 0, 0, th+ep >, rd - wd }
    texture { tx_black }
  }
  
#declare eye = 
  object {
    cylinder { < 0, 0, 0 >, < 0, 0, th >, er }
    texture { tx_black }
  }

#declare smile = 
  intersection { 
    plane { y, 0 }
    difference { 
      cylinder { < 0, 0, 0 >, < 0, 0, th >, sr }
      cylinder { < 0, sw, 0-ep >, < 0, sw, th+ep >, sr - 0.25*sw }
    }
    texture { tx_black }
  }

#declare scene =
  union {
    object { ring }
    object { smile }
    object { eye translate edir*(sr - er) }
    object { eye translate edir*(sr - er) scale < -1, +1, +1 > }
  }
  
#declare light = 
  sphere { < 0, 0, 0 >, rd 
    texture { pigment { color rgb < 1, 1, 0> } finish { diffuse 0 ambient 1 } }
  }

object { scene }

#declare cdist = 1000;  // Camera distance.

camera {
  location < 0, 0, 0 > + cdist*z
  right -2.5*rd/cdist*x
  up +2.5*rd/cdist*y
  sky y
  look_at < 0, 0, 0 >
}


